Sale-HSA-TotalAmount
API ExplorerSubmits a payment request using an existing card token, address verification (AVS), and detailed Health Savings Account (HSA) itemizations.
Header Parameters
token*string
Authentication token generated using the API Key and Secret Key. Required for all API requests.
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com" \ -H "token: your-access-token-here" \ -H "Content-Type: application/json" \ -d '{ "merchantAuthentication": { "merchantId": "567025324141", "transactionReferenceId": "TXN1718000000123" }, "preferences": { "eReceipt": false, "customerName": "Jane Doe", "customerEmail": "test@example.com", "customerMobile": "+14242424243", "requestCardToken": true }, "transactionRequest": { "amount": "2500", "transactionType": 1, "cardToken": "card-token-value-example", "applySteamSettingTipFeeTax": false }, "avs": { "StreetNo": "456 Oak Ave", "Zip": "90210" }, "hsa": { "HSA_TotalAmount": "100.00", "HSA_RxAmount": "40.00", "HSA_DentalAmount": "30.00", "HSA_ClinicAmount": "30.00" } }'{
"iposhpresponse": {
"responseCode": "200",
"responseMessage": "success",
"errResponseCode": "",
"errResponseMessage": "",
"transactionReferenceId": "TXN1718000000123",
"transactionType": "1",
"transactionId": "TXID-11223344",
"amount": "2500",
"responseApprovalCode": "APP98765",
"rrn": "219313501821",
"transactionNumber": "4321",
"batchNumber": "123",
"customFee": "0",
"totalAmount": "2500"
}
}{
"errors": [
{
"field": "cardNumber",
"message": "Invalid card number format."
}
]
}